Skip to content

List reusable meals

GET
/api/v1/saved-meals
curl --request GET \
--url 'http://127.0.0.1:8080/api/v1/saved-meals?limit=50&offset=0' \
--header 'Authorization: Bearer <token>'
limit
integer format: int64
default: 50 >= 1 <= 200
offset
integer format: int64
0

OK

Media typeapplication/json
object
items
required
Array<object> | null
object
created_at
required
string format: date-time
dishes
required
Array<object> | null
>= 1 items <= 50 items
object
display_name
required
string
>= 1 characters <= 200 characters
entry_id
string
id
string
leftover_of
string
<= 201 characters
notes
string
<= 5000 characters
plain_items

Only for a dish without entry_id.

Array<object> | null
<= 100 items
object
id
string
name
required
string
>= 1 characters <= 200 characters
quantity
string
<= 200 characters
recipe_image_url
string
recipe_revision
integer format: int64
>= 1
recipe_status
string
Allowed values: available trashed removed
scale
string
<= 100 characters
shopping_choices
Array<string> | null
id
required
string
name
required
string
>= 1 characters <= 200 characters
notes
string
<= 10000 characters
revision
required
integer format: int64
>= 1
updated_at
required
string format: date-time
key
additional properties
any
limit
required
integer format: int64
offset
required
integer format: int64
total
required
integer format: int64
key
additional properties
any
Example
{
"items": [
{
"dishes": [
{
"recipe_status": "available"
}
]
}
]
}

No valid session or API token (authentication-required), or the credential sent is invalid (invalid-credentials).

Media typeapplication/problem+json
object
code
required
string
detail
required
string
status
required
integer format: int64
title
required
string
type
required
string
key
additional properties
any
Examplegenerated
{
"code": "example",
"detail": "example",
"status": 1,
"title": "example",
"type": "example"
}

Error

Media typeapplication/problem+json
object
code

Stable application error code; clients may also use the problem type suffix.

string
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object> | null
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

key
additional properties
any
instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
params

Structured context for the stable error code.

object
key
additional properties
any
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank
violations
Array<object>
object
code
required
string
location
required
string
params
object
key
additional properties
any
key
additional properties
any
Example
{
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}